% Generated by roxygen2 (4.1.1): do not edit by hand
% Please edit documentation in R/interface.R
\name{delete_edges}
\alias{delete.edges}
\alias{delete_edges}
\title{Delete edges from a graph}
\usage{
delete_edges(graph, edges)
}
\arguments{
\item{graph}{The input graph.}

\item{edges}{The edges to remove, specified as an edge sequence.}
}
\value{
The graph, with the edges removed.
}
\description{
Delete edges from a graph
}
\examples{
g <- make_ring(10) \%>\%
  delete_edges(seq(1, 9, by = 2))
g

g <- make_ring(10) \%>\%
  delete_edges("10|1")
g
}
\seealso{
Other functions for manipulating graph structure: \code{\link{+.igraph}};
  \code{\link{-.igraph}}, \code{\link{igraph-minus}};
  \code{\link{add.edges}}, \code{\link{add_edges}};
  \code{\link{add.vertices}}, \code{\link{add_vertices}};
  \code{\link{delete.vertices}},
  \code{\link{delete_vertices}}; \code{\link{edge}},
  \code{\link{edges}}; \code{\link{path}};
  \code{\link{vertex}}, \code{\link{vertices}}
}

