% Generated by roxygen2 (4.1.1): do not edit by hand
% Please edit documentation in R/interface.R
\name{ends}
\alias{ends}
\alias{get.edge}
\alias{get.edges}
\title{Incident vertices of some graph edges}
\usage{
ends(graph, es, names = TRUE)
}
\arguments{
\item{graph}{The input graph}

\item{es}{The sequence of edges to query}

\item{names}{Whether to return vertex names or
numeric vertex ids. By default vertex names are used.}
}
\value{
A two column matrix of vertex names or vertex ids.
}
\description{
Incident vertices of some graph edges
}
\examples{
g <- make_ring(5)
ends(g, E(g))
}
\seealso{
Other structural queries: \code{\link{[.igraph}};
  \code{\link{[[.igraph}}; \code{\link{adjacent_vertices}};
  \code{\link{are.connected}}, \code{\link{are_adjacent}};
  \code{\link{ecount}}, \code{\link{gsize}};
  \code{\link{get.edge.ids}}; \code{\link{gorder}},
  \code{\link{vcount}}; \code{\link{head_of}};
  \code{\link{incident_edges}}; \code{\link{incident}};
  \code{\link{is.directed}}, \code{\link{is_directed}};
  \code{\link{neighbors}}; \code{\link{tail_of}}
}

