% Generated by roxygen2 (4.1.1): do not edit by hand
% Please edit documentation in R/interface.R
\name{is_directed}
\alias{is.directed}
\alias{is_directed}
\title{Check whether a graph is directed}
\usage{
is_directed(graph)
}
\arguments{
\item{graph}{The input graph}
}
\value{
Logical scalar, whether the graph is directed.
}
\description{
Check whether a graph is directed
}
\examples{
g <- make_ring(10)
is_directed(g)

g2 <- make_ring(10, directed = TRUE)
is_directed(g2)
}
\seealso{
Other structural queries: \code{\link{[.igraph}};
  \code{\link{[[.igraph}}; \code{\link{adjacent_vertices}};
  \code{\link{are.connected}}, \code{\link{are_adjacent}};
  \code{\link{ecount}}, \code{\link{gsize}};
  \code{\link{ends}}, \code{\link{get.edge}},
  \code{\link{get.edges}}; \code{\link{get.edge.ids}};
  \code{\link{gorder}}, \code{\link{vcount}};
  \code{\link{head_of}}; \code{\link{incident_edges}};
  \code{\link{incident}}; \code{\link{neighbors}};
  \code{\link{tail_of}}
}

