% Generated by roxygen2 (4.1.1): do not edit by hand
% Please edit documentation in R/topology.R
\name{isomorphisms}
\alias{graph.get.isomorphisms.vf2}
\alias{isomorphisms}
\title{Calculate all isomorphic mappings between the vertices of two graphs}
\usage{
isomorphisms(graph1, graph2, method = "vf2", ...)
}
\arguments{
\item{graph1}{The first graph.}

\item{graph2}{The second graph.}

\item{method}{Currently only \sQuote{vf2} is supported, see
\code{\link{isomorphic}} for details about it and extra arguments.}

\item{...}{Extra arguments, passed to the various methods.}
}
\value{
A list of vertex sequences, corresponding to all
  mappings from the first graph to the second.
}
\description{
Calculate all isomorphic mappings between the vertices of two graphs
}
\seealso{
Other graph isomorphism: \code{\link{count_isomorphisms}},
  \code{\link{graph.count.isomorphisms.vf2}};
  \code{\link{count_subgraph_isomorphisms}},
  \code{\link{graph.count.subisomorphisms.vf2}};
  \code{\link{graph.get.subisomorphisms.vf2}},
  \code{\link{subgraph_isomorphisms}};
  \code{\link{graph.isoclass}},
  \code{\link{graph.isoclass.subgraph}},
  \code{\link{isomorphism_class}};
  \code{\link{graph.isocreate}},
  \code{\link{graph_from_isomorphism_class}};
  \code{\link{graph.isomorphic}},
  \code{\link{graph.isomorphic.34}},
  \code{\link{graph.isomorphic.bliss}},
  \code{\link{graph.isomorphic.vf2}},
  \code{\link{is_isomorphic_to}}, \code{\link{isomorphic}};
  \code{\link{graph.subisomorphic.lad}},
  \code{\link{graph.subisomorphic.vf2}},
  \code{\link{is_subgraph_isomorphic_to}},
  \code{\link{subgraph_isomorphic}}
}

