% Generated by roxygen2 (4.1.1): do not edit by hand
% Please edit documentation in R/layout.R
\name{norm_coords}
\alias{layout.norm}
\alias{norm_coords}
\title{Normalize coordinates for plotting graphs}
\usage{
norm_coords(layout, xmin = -1, xmax = 1, ymin = -1, ymax = 1,
  zmin = -1, zmax = 1)
}
\arguments{
\item{layout}{A matrix with two or three columns, the layout to normalize.}

\item{xmin,xmax}{The limits for the first coordinate, if one of them or both
are \code{NULL} then no normalization is performed along this direction.}

\item{ymin,ymax}{The limits for the second coordinate, if one of them or
both are \code{NULL} then no normalization is performed along this
direction.}

\item{zmin,zmax}{The limits for the third coordinate, if one of them or both
are \code{NULL} then no normalization is performed along this direction.}
}
\value{
A numeric matrix with at the same dimension as \code{layout}.
}
\description{
Rescale coordinates linearly to be within given bounds.
}
\details{
\code{norm_coords} normalizes a layout, it linearly transforms each
coordinate separately to fit into the given limits.
}
\author{
Gabor Csardi \email{csardi.gabor@gmail.com}
}
\seealso{
Other graph layouts: \code{\link{add_layout_}};
  \code{\link{as_bipartite}},
  \code{\link{layout.bipartite}},
  \code{\link{layout_as_bipartite}}; \code{\link{as_star}},
  \code{\link{layout.star}}, \code{\link{layout_as_star}};
  \code{\link{as_tree}}, \code{\link{layout_as_tree}};
  \code{\link{component_wise}}; \code{\link{in_circle}},
  \code{\link{layout_in_circle}};
  \code{\link{layout.auto}}, \code{\link{layout_nicely}},
  \code{\link{nicely}};
  \code{\link{layout.davidson.harel}},
  \code{\link{layout_with_dh}}, \code{\link{with_dh}};
  \code{\link{layout.gem}}, \code{\link{layout_with_gem}},
  \code{\link{with_gem}}; \code{\link{layout.graphopt}},
  \code{\link{layout_with_graphopt}},
  \code{\link{with_graphopt}}; \code{\link{layout.grid}},
  \code{\link{layout.grid.3d}},
  \code{\link{layout.grid.3d}},
  \code{\link{layout_on_grid}}, \code{\link{on_grid}};
  \code{\link{layout.mds}}, \code{\link{layout_with_mds}},
  \code{\link{with_mds}}; \code{\link{layout.merge}},
  \code{\link{layout_components}},
  \code{\link{merge_coords}},
  \code{\link{piecewise.layout}},
  \code{\link{piecewise.layout}};
  \code{\link{layout.sugiyama}},
  \code{\link{layout_with_sugiyama}},
  \code{\link{with_sugiyama}};
  \code{\link{layout_on_sphere}}, \code{\link{on_sphere}};
  \code{\link{layout_randomly}}, \code{\link{randomly}};
  \code{\link{layout_with_fr}}, \code{\link{with_fr}};
  \code{\link{layout_with_kk}}, \code{\link{with_kk}};
  \code{\link{layout_with_lgl}}, \code{\link{with_lgl}};
  \code{\link{layout}}, \code{\link{layout_}},
  \code{\link{print.igraph_layout_modifier}},
  \code{\link{print.igraph_layout_spec}};
  \code{\link{normalize}}
}
\keyword{graphs}

