% Generated by roxygen2 (4.1.1): do not edit by hand
% Please edit documentation in R/attributes.R
\name{set_graph_attr}
\alias{set.graph.attribute}
\alias{set_graph_attr}
\title{Set a graph attribute}
\usage{
set_graph_attr(graph, name, value)
}
\arguments{
\item{graph}{The graph.}

\item{name}{The name of the attribute to set.}

\item{value}{New value of the attribute.}
}
\value{
The graph with the new graph attribute added or set.
}
\description{
An existing attribute with the same name is overwritten.
}
\examples{
g <- make_ring(10) \%>\%
  set_graph_attr("layout", layout_with_fr)
g
plot(g)
}
\seealso{
Other graph attributes: \code{\link{$.igraph.vs}},
  \code{\link{$<-.igraph.vs}}, \code{\link{V<-}},
  \code{\link{[<-.igraph.vs}},
  \code{\link{[[<-.igraph.vs}},
  \code{\link{igraph-vs-attributes}},
  \code{\link{igraph-vs-attributes}},
  \code{\link{igraph-vs-attributes}},
  \code{\link{igraph-vs-attributes}},
  \code{\link{igraph-vs-attributes}};
  \code{\link{$.igraph}}, \code{\link{$<-.igraph}},
  \code{\link{igraph-dollar}}, \code{\link{igraph-dollar}};
  \code{\link{attributes}}, \code{\link{graph_attr_names}},
  \code{\link{list.graph.attributes}};
  \code{\link{delete_edge_attr}},
  \code{\link{remove.edge.attribute}};
  \code{\link{delete_graph_attr}},
  \code{\link{remove.graph.attribute}};
  \code{\link{delete_vertex_attr}},
  \code{\link{remove.vertex.attribute}};
  \code{\link{edge.attributes<-}},
  \code{\link{edge_attr<-}}; \code{\link{edge.attributes}},
  \code{\link{edge_attr}},
  \code{\link{get.edge.attribute}};
  \code{\link{edge_attr_names}},
  \code{\link{list.edge.attributes}};
  \code{\link{get.graph.attribute}},
  \code{\link{graph.attributes}}, \code{\link{graph_attr}};
  \code{\link{get.vertex.attribute}},
  \code{\link{vertex.attributes}},
  \code{\link{vertex_attr}};
  \code{\link{graph.attributes<-}},
  \code{\link{graph_attr<-}};
  \code{\link{list.vertex.attributes}},
  \code{\link{vertex_attr_names}};
  \code{\link{set.edge.attribute}},
  \code{\link{set_edge_attr}};
  \code{\link{set.vertex.attribute}},
  \code{\link{set_vertex_attr}};
  \code{\link{vertex.attributes<-}},
  \code{\link{vertex_attr<-}}
}

